iZ3D Stereo Driver Description

(version 1.10.RC2)

September 08, 2009

1. Main Functionality

2. System Requirements

3. Licenses and outputs

4. Installation

5. iZ3D Control Center

5.1 Direct X section

5.2 OpenGL section

5.3 Profiles section

5.4 Exceptions section

5.5 Update section

5.6 Settings section

5.7 Help section

5.8 About section

6. Additional Features

6.1 Autofocus

6.2 Lasersight and crosshair

6.3 Stereo Screenshots

6.4 iZ3D Stereo Wallpaper

6.5 iZ3D Wizard

6.6 Profiles

6.7 YouTube iZ3D

7. Future Development


1

  1. Main Functionality

iZ3D Driver (“Driver”) is a software to set up 3D rendering pipelines to generate two views - left and right - and present them in different 3D output forms using the power of modern graphics cards. There are lots of different ways to generate a 3D effect with two views, and here is the list of outputs, supported by the Driver:

· iZ3D back and front;

· Anaglyph;

· Dual Projection or HMD;

· Side-By-Side;

· Simple Shutter;

· S3D Shutter; [1]

· StereoMirror 3D;

· VR920;

· 3D DLP;

· Interlaced

For more information about each output see part 6 of this description (“License and outputs”).

[1] Specification for marked shutter is in Appendix 2 of this document


2

  2. System Requirements

Various games and applications as well as different 3D output forms may require different setups. The following system requirements are absolutely necessary for the Driver to work:

  1. OS: Windows XP or Vista (32 bit or 64 bit) [Windows 2000 / NT is not supported]
  2. Powerful graphics card [1]
  3. Powerful CPU [2] [Dual / Quad core CPUs are supported]
  4. DirectX 9 latest runtime update

Games / Applications supported:

DirectX 8 and DirectX 9 games [DirectX 7 is not supported].

Applications with OpenGL Quad Buffer support

You can see the list of supported games on our web site here: (www.iz3d.com/games) as well as the list of the games users have tested here: (http://iz3d.com/t-usergames.aspx)

[1] Game performance may drop in 3D because of the lack of total computer performance (memory, CPU, GPU, GPU’s memory). Please note that for good performance in 3D the onboard memory size should be at least two times larger then specified for the game Game loading process may be longer as well because the Driver needs additional time to analyze shaders in the game.

[2] Same recommendation as for graphic card above


1

  3. Licenses and outputs.

iZ3D driver supports different outputs to generate the 3D effect. You will find all the information about them in the following sheet:

License activation step-by-step scheme can be found here http://iz3d.com/tutorials/activation/

Note! License is connected to your hardware, and replacing too many elements of your hardware may result in an incorrect license. If you want to upgrade your PC and save your license follow these steps: While the output that you have purchased is enabled, press and hold Ctrl and open the dynamic test. You should see the activation window. There you can find the license removal code. Then go to iZ3D.com/ACEN and type the removal code, it will remove the license connection to your hardware. You will gain another activation code so you can activate the license after the PC upgrade.


3

4. Installation

Note! User should have system administrator rights to install and uninstall the Driver. If user does not have rights, a warning message will be displayed and the installation will be stopped. Driver will not be installed without administrator rights.

To install the Driver, run iZ3DDriverSetupXX.YY.ZZZZ.exe. (XX.YY.ZZZZ is the release number where XX is the architecture type, YY is the version number and ZZZZ is the internal build number). If a previous Driver version is currently installed, then the user should exit all 3D applications before installing the new driver version. The new driver version will automatically remove the previous Driver program.

Note! If you have a previous iZ3D driver version already installed on your PC, the installation program will uninstall it automatically; but to prevent possible software confrontation it is recommended to uninstall it manually before installation.

The Driver will display the list of outputs and components for installation during installation. Only iZ3D and anaglyph output will be installed without charge by default. Additional outputs and components (HMD, QB etc) will be installed based on the user’s request and will need to be activated with a key after the trial period. The Licensing policy and keys for commercial and trial versions can be purchased on www.iz3d.com .

If DirectX runtime is not updated on the user’s PC, the Driver will ask to update. If user accepts the update, the Driver will connect to the Microsoft update center to download and install the latest DirectX runtime.

“iZ3D Output” is the Driver’s default output mode during installation. The Driver will recognize the iZ3D monitor model automatically and set the resolution to 1680 * 1050 and color depth to 32 bits. PC reboot is not necessary. The Driver will set up the primary and secondary screens automatically. User can use an additional LCD or CRT monitor as well.

Note! Driver uses EDID information to recognize and setup iZ3D monitor correctly. User can set iZ3D screens manually for multi-monitor configuration when iZ3D is not a primary monitor. But iZ3D monitor has to be connected to one graphic card even for manual setup.

After installation is finished, the setup ending menu will appear, that will allow users to set driver mode (Enable Stereo by HotKey by default) and to trigger mouselock (for more information about mouselock see “Settings” chapter of this manual).

After installation is complete the Driver icon will appear in the tray area (if user did not unchecked the “Run Control Center” checkbox in the setup ending menu), which will show Driver status. Driver can be enabled / disabled through this icon.

If any of the iZ3D monitor panels are disconnected a warning balloon will appear from the Driver icon:

The Driver creates three files with key parameters during installation:

Config.xml – initial settings for Driver

BaseProfiles.xml – profile for iZ3D internal settings in the following directories:

XP: “\Documents and Settings\All Users\Application Data\iZ3D Driver\”

Vista: “\ProgramData\iZ3D Driver\”

and UserProfile.xml - profile for user settings in:

XP: “\Documents and Settings\<username>\Application Data\iZ3D Driver\”

Vista: “\Users\<username>\AppData\Roaming\iZ3D Driver\”

List of keys is shown in Appendix.

The Driver has a Profile Converter process embedded into the installation procedure. If the user updates from 1.05 (with textual profile) to version 1.07 or higher, then the Profile Converter converts the user’s old data into a new xml format after an acceptance prompt.

For users who want to access the latest changes in the Driver Change Log, a file is placed in the Driver directory with the file name of ChangeLog.rtf

Note! The iZ3D Service maintains the injection of the Driver and the connection between the Control Center and Driver functions. The iZ3D Service becomes part of the start-up functions on the operating system after installation.


a

  5. iZ3D Control Center

The Control Center requires Microsoft .NET Framework 2.0. to be installed on user’s computer, and will prompt with a request to download and install the .NET Framework if it is not already installed. To launch the Control Center, use the shortcut placed in your start menu by the Driver installer. There are eight sections in the iZ3D Control Center[1] :

  • DirectX section
  • OpenGL section
  • Profiles section
  • Exceptions section
  • Update section
  • Settings section
  • Help section
  • About section

[1] Control Center will not show components and outputs which are not installed (OpenGL QB, HMD, etc)


DirectX

DirectX section

The DirectX section allows you to manage the iZ3D driver injection and output type (and for some types a special mode) by selecting the corresponding radio button and clicking Apply.


OpenGL

OpenGL section

This section of the Control Center is optional and will be available only if installed by the user.

The User can turn on / off OpenGL Quad Buffer mode of the Driver in the OpenGL section[1] ,. User needs to turn desktop to clone mode before running apps / game with OpenGL QB mode.

Note, that convergence and separation can not be controlled from the Control Center in OpenGL QB mode. The 3D Application or game will need to do this internally.

OpenGL QB mode works only on nVidia Quadro family GPU’s. The only exception is that the User can run it on any graphics card using emulation (check the “Emulate Quad Buffer” checkbox). For emulation mode set desktop back to Dual View.

Note! To set your desktop to clone mode or Dual View right click on your desktop, open NVIDIA Control Panel, click on the “set up multiple displays” button, and choose the desktop mode you need.

Note! OpenGL QB is for 32-bit systems only and can not be run properly on 64-bit systems.

[1] OpenGL QB mode requires a paid license


Profiles section

Each game has its own record in profile to define convergence and separation levels, specific shader processing, keys values etc. To make profile operation simple[1], the Driver has a Profile section (to learn more about how Profile feature works see the Profile subsection in the Additional features section of this description).

IZ3D driver creates new profiles automatically every time when a driver settings are adjusted inside the program. User can create new profiles for each game or edit old ones manually – all data is stored in the UserProfile configuration. User can select the way to toggle stereo, Convergence and Separation, and presets. Each profile has its own name and is associated with the games .exe file.

Note! If the new profile does not appear on the profiles list, you should restart the Control Center by clicking on its tray icon and choosing “exit”. Profile will appear as soon as you start Control Center again.

There are three subsections that allow customization of the driver settings:

In the Input subsection, user can redefine the hotkeys for in-game stereo.

Presets are three fixed levels of convergence and separation to quickly jump between settings in games with several types of view. For instance a racing game when user can use preset 1 for third-person view and preset 2 for “inside a car” view.

There is also a hotkeys to trigger Lasersight – a special iZ3D crosshair, designed specially for 3D first person shooters (to learn more about Lasersight see “Lasersight and crosshair” part of this description) and Autofocus – a helpful feature that will automatically adjust convergence for a better stereo (to learn more about it see the Autofocus part of this description). “Swap L&R” is a hotkey that can be used to swap left and right screens, and “Stereo screenshot” hotkey generates a stereo screenshot of the game (to find out more about stereo screenshots see part 6.2 of this description).

To restore hotkey settings click the “Restore Default” button.

Note! Button re-definition has some limitations. For instance, the “Windows” button cannot be used in combination with other buttons.

Note! For some games, the default buttons may be assigned to other game functions. Sample: “NumPad*” button to toggle stereo on will speed up life in S.T.A.L.K.E.R. So, you may die earlier if adjusting the stereo 3D J.

Note! You can tell if the left and rights screens are not in their places, when objects are rendered at the wrong depth. For example, the objects that are far from the game camera may seem closer, than objects that are right in front of it.

Game subsection has a number of settings, that aren't crucial to the work of the driver, and mostly created to make 3D game experience as much comfortable as it could be. Though some of them are for advanced users only:

"Show FPS" option displays number of frames per second in the game when enabled, so user could monitor the game performance.

"Show on-screen messages" option allows user to see separation and convergence numbers when they are changing, it is set to "on" by default.

"Disable mouse lock" option is created to prevent mouse cursor getting off the main screen, witch may cause inconvenience in some games. Note, that to set this parameter “on” user should be in a specific game profile, otherwise checkbox will not be active.

"Force VSync OFF" option, when checked, prevents games from enabling Vertical synchronization, that could be inconvenient with our driver.

Note! This option was called “Enable VSync” in previous versions of the driver, do not be confused, it has the same effect.

"Show wizard" option, when enabled, will automatically run iZ3D Wizard (to learn more about iZ3D Wizard see the iZ3D Wizard chapter of this description) in each new game, this option is set to "on" by default.

Note! When enabled in default profile this option will work on all games, that hasn't been played with iZ3D driver enabled. If user have already played the game with iZ3D driver enabled this option will affect this game only in this particular game profile.

"Use simple stereo projection method" is brand new option that affects mostly the games that use Source Engine (Like Half-Life 2, Team Fortress 2, Left 4 Dead) and created for users that liked previous (driver version 1.09.0025 and earlier) projection method better. The difference between these projection methods, is that in the old one weapons were projected as they were too big. The new projection method resolves this issue.

Clipping is a driver feature, that creates two black vertical lines on the both sides of the screen, created for the rare set of games, that sometimes has artifacts at the sides of the screen. For these games you can enable clipping and set its width via slider. Note, that clipping can only be set in percents of the screen, so 50% clipping will result in two lines, 50% of screen each and black screen. To turn Clipping on check the "Enable Clipping" checkbox, and to change its width use "Clipping width" slider.

"Swap L&R" option swaps left and right screens in games (can be done in the game with hotkey, “Ctrl + F8 by default)

The number in “Stereo separation” row defines which separation will be in all new games by default. It will only works with default profile and will not affect separation presets of the games user already played with iZ3D driver.

“Separation scale” row defines how fast will separation increase when adjusted by user in games.

“Separation mode” toggles the method of separation. The difference between the modes is in the movement of the screens. In Symmetric mode, the screens are moved symmetrically, when in the “Right shift” and “Left shift” modes, the screen in right or left eye remains motionless. There are no difference in the separation quality.

Note! When increased, separation scale do not increasing the actual numbers of the separation. but it still affects it. For instance if separation scale is set to “2”, every separation increase effect will multiply by 2.

Note! Separation scale have very high limit – increasing it too much may cause troubles with the separation adjustments.

The third subsection, Autofocus, allows the user to calibrate the autofocus operation factors, such as Width, Height, Speed and position of the autofocus working area on the screen (numbers given in game pixels). “Maximum shift” row is created to set a limit to autofocus, so it won’t set convergence too high. For example setting it to 0.2 will forbid autofocus to setting convergence higher, than 0.2000 and lower that -0.2000.

To find out more about Autofocus see the “Autofocus” part of the description.

[1] Profile is in XML format and to edit it correctly, XML knowledge is necessary


Exceptions

Exceptions section

The Exceptions section allows the user to make a list of programs that will not interact with the Driver. For instance; you may want to add windows media player to the exceptions list, so you can watch your videos with glasses on without seeing your desktop.

To add a program to the exceptions list, press “Browse”, open the program folder, and choose its .exe file. Then just name it in the bar below, and press “Add” and “Apply”.


Update

Update section

iZ3D Control Center has an embedded Updater. If new updates are available, it will download a new version or patch. Because the iZ3D Service runs constantly, patches will be downloaded for the iZ3D Driver. Computer will need a re-boot to activate this patch. The Updater will deliver news and press releases as well. The Update section also includes a change log for the latest version of the driver.


Settings

Settings section

The Settings section allows the user to change some properties of the Control Center itself. There are several options such as: Launch Control Center with Windows, Show update messages, and to trigger mouse lock; an option that prevents the mouse cursor from going off the main screen.

Note! Mouselock is no longer set to “off” automatically during all the games, users can turn it off for each game in “Game” subsection of the “Profiles” section.


Help section

To help the user operate the Driver, the “Help” section is provided. There are 5 buttons here: "Static test", "Dynamic test", "Setup screens", "Diagnostic" and "Troubleshooting".

If the computer was disconnected from the iZ3D monitor and connected again, the primary and secondary screens may be reversed. To restore the settings, click on the “Setup screen” button. It will launch the setup screens procedure, similar to that of the installation setup.

Dynamic and Static tests generate a specially designed image to test the iZ3D monitor’s panel performance, check that the driver properly injects, (in Dynamic test only) to check user's ability to calibrate separation and convergence for optimal 3D effect. The Static Test image is for the iZ3D mode only.

Back screen image: Front screen image:

The "Diagnostic" button creates a file called "report.txt" which contains the user’s system information. This file may be requested from the user by the iZ3D Technical support group. When diagnostics are complete, the Driver will run the default e-mail client and prepare a message to support@iz3d.com with the subject “Diagnostic file for iZ3D support” and place the diagnostic file as an attachment.

If you will encounter any problems with iZ3D driver, you may want to look in our troubleshooting by pressing the “troubleshooting” button.


About

About section

The “About” section of the iZ3D Control Center contains information about the Driver version and release date. It also contains the Description button, which will display a helpful Driver Description (that no one, apparently, ever reads J)


d

6. Additional Features

Additional features are not crucial for the Driver performance, they exist to help more advanced users to customize game process or to check performance of the Driver on their system. Some of these features can be toggled in the Profile section of the iZ3D Control Center.


Autofocus

The Driver has an autofocus feature. Autofocus controls the user’s point of view (central part of the screen) and adjusts convergence correspondingly when objects in the central part of the screen change distance from user. This feature provides additional comfort to user by preventing constant change of convergence depending on changes in the game environment. Experienced users can customize the width and height of the autofocus working area, and set speed of its work in autofocus section of the control center (see Autofocus subsection).


Lasersight and crosshair

There is an annoying problem in some shooter games: when using large separation the crosshair may become doubled and unusable. It brings us to the next additional feature: Lasersight. Lasersight is a crosshair, created for additional user comfort. It's an animated picture with two images (left and right, for stereo effect), located in the center of the screen. The main feature of the iZ3D lasersight is that it has an autofocus of its own. It will change separation, depending on distance to the object, making aiming easer in first person shooters, even if separation is large.

User can choose a crosshair camera position – left, both or right – for each game. SeparationMode menu in profile controls this.

Note! Users can make their own lasersight, mono or stereo, simple or animated, it’s only a matter of their skill. To enable a custom made crosshair open config file, set “LaserSightIconIndex Value” parameter to “0”, and point a path to custom crosshair at “CustomLaserSightIconPath Value”.


Stereo Screenshots

Driver can generate JPS (Stereo JPG) screenshots for user needs. The “PrintScreen” key on the keyboard will put a JPS file with the name “ProfileName #NNNN.jps” or if profile name is not set “ExenameNNNN.jps” (where “exename” is the game exe file name, “NNNN” is just the next number in the sequence.) to the following directory:

XP: “\Document and Settings\Users\<USERS NAME>\Pictures\iZ3D Driver Screenshots\”

Vista: “\Users\<USERS NAME>\Pictures\iZ3D Driver Screenshots\”

Note! “PrintScreen” button still acts in the conventional way by saving a copy of the screens to the Clipboard (For example: you can Paste it to Paint.exe).


iZ3D Stereo Wallpaper

Stereoscopic wallpaper creator is a new feature of iZ3D driver. It will be installed with the driver (unless unchecked by user manually during setup), and can be found in the Start Menu iZ3D folder.

This feature can create a 3D wallpaper for users desktop. It will only require a stereo screenshot (for more information about stereo screenshots see “Stereo Screenshots” chapter of this manual).

To create stereo wallpaper, run the iZ3D Stereo Wallpaper Creator, click “Browse” button (it will automatically open your stereo screenshots folder), choose a screenshot you want, and click “Generate Stereo Wallpaper” button. You can also create a monoscopic wallpaper out of your stereo screenshots, and there will be no “ghost” effect, when you look at it with 3d glases on. To make a monoscopic wallpaper choose the screenshot you want and click “left side wallpaper” or “right side wallpaper”.

Note! User can minimize Wallpaper Creator to put it in tray. By right clicking on its tray icon user can make its wallpaper monoscopic anytime, this is convenient when working with windows, for there will be no grey scale image visible trough the glasses.


iZ3D Wizard

iZ3D Wizard is a brand new driver feature, created to help users calibrate separation-convergence to get an optimal stereo image. It is actually a step-by-step instructions, that user can trigger in any game. IZ3D Wizard will automatically starts as soon as you start the game. If the starting menu in this particular game is in 2D, you will need to start playing the game so you can adjust stereo parameters. From that moment follow the instructions, and in less than a minute you will have a playable and enjoyable 3D image.

Note! IZ3D Wizard is programed to start automatically in any game. If you don't want to see it in every new game uncheck “show wizard” checkbox in “Game” subsection of Control Center.


Profiles

The main Profile file is stored in the Driver directory and it is named BaseProfile.xml. The BaseProfile contains the iZ3D predefined settings. The UserProfile maintains specific user settings. Both profile files can be updated separately from the Driver itself. The file structure for the profile is shown in the Appendix.

Profile file provides:

  • initial parameters correction, if necessary
  • per game / application parameters correction, if necessary

Profile has multi-level setup for convergence and separation for each specific game. User can define three or more specific convergence and separation parameters associated with a button and change them quickly while playing. The default Preset choices are: NumPad+7, NumPad+8 and NumPad+9. Corresponding keys in config.xml are: SetPreset1, SetPreset2 and SetPreset3. The default convergence and separation comes from Preset 1.

Profile file has priority over the keys in Config.xml. Any key from Config.xml can be used in Profile for specific applications. Driver checks parameters from keys in Config.xml and checks the same in profiles, and corrects them in case of difference. Individual applications can be excluded from Driver action individually using Profile. This system is very important if users need to change convergence / separation setting in a game drastically many times.

Note! Users can exchange their best settings by giving each other the “UserProfile” file or part of it.

Note! Be careful with editing the Profile – XML structure is very sensitive to typos. User can edit only the UserProfile, not BaseProfile


Youtube iZ3D

The growing trend for 3D has reached Youtube and the number of 3D videos at there is growing every day. Now iZ3D owners can enjoy these videos in iZ3D format! Unfortunately, this feature is available for Windows Vista users only. Also, Windows Vista Aero must be enabled. To view a youtube 3D video in iZ3D, you have to:

Make sure that the vide has cross-eyed mode, when there is two images with a slightly different angle, if there is a 3D add-on bar at the bottom of the video, do not forget to set it to “Cross-eyed”. After that is left to do is switch to a full screen mode and turn the stereo on.


6

  7. Future Development

We are planning to make:

- FRAPS compatibility

- Render interruption for shutter output

- Color control for anaglyph output via profile

- Command line for on/off 3D

- Anti-cheating issue

- Profiler for users to fight artifacts

- Profile mergence and update

- 3D recording tool

- 3D desktop control

- DirectX 10 support

- OpenGL QB optimization

- Full OpenGL support


Appendix

Config file structure

Vendor – Describe vendor name by id.

Sample: <Vendor Name="ATI" Value="1002" />

For majority flags default value equal 0.

Root key Config

Key GlobalSettings

RunAtStartup – inject D3D driver at service startup. Default value = 1

OGLRunAtStartup – inject OpenGL QB driver at service startup.

EmulateQB – emulate OpenGL QB

LockCursor – automatic lock cursor at Control Center startup

StereoSeparation – default separation value for new opened applications

OutputMethodDll – name of output method dll

OutputMode – mode of output dll

Key DefaultProfile.

See profile section below.

Profile information structure:

Root key Profiles

Key Profile

File (attributes: Name – filename, CmdLine – part of cmdline)

EnableStereo – enable stereo at game startup

RouterType

0 – General method

1 – Special injection method (for anti-cheating software)

2 – Disable driver

DeviceMode

0 – Multihead mode (Fullscreen)

1 – Dual Windowed mode (Windowed)

2 – Application selected mode (disabled second window)

3 – Auto detection at program startup

ShowFPS – show game FPS

ShowOSD – show values of separation and convergence when they changes

ForceVSyncOff – force disabling VSync

WideRenderTarget - Flag minimizes frequency of SetRenderTarget() and SetDepthStencilSurface() calls. This dramatically speeds up most of games on nVida cards and on ATI cards when antialising on.

EnableAA – enable antialising

UseWrapper (deprecated key) – use D3D9 wrapper

MonoRenderTargetTextures – create all render target textures in mono

MonoRenderTargetSurfaces – create all render target surfaces in mono

MonoDepthStencilTextures – create all depth/stencil textures in mono (on NVidia support depth stencil textures may contain bugs)

MonoDepthStencilSurfaces – create all depth/stencil surfaces in mono

DontCheckShadowMatrix – set if anything render in mono when they needn't

GlobalMultiplier – global separation multiplier

SearchFrameSizeX (default 512) – frame size autofocus

FrameYCoordinate (default 0.495) – frame line for autofocus

For fixing HUD and other object that must be in mono:

CreateSquareRTInMono – do all render target textures that have square size
in mono

CreateRTThatLessThanBBInMono – do all render target textures that have size less than backbuffer in mono

MonoFixedPipeline – do all fixed pipeline in mono

MonoRHWPipeline – do all RHW pipeline in mono

RenderNonMatrixShadersInMono – do all vertex shaders that doesn’t contain projection matrix in mono

RenderIncorrectProjectionShadersInMono – do all vertex shaders that doesn’t correct write vertex position in mono

RenderInMonoForIndentityVWMatrices – do Draw calls mono when used identity view and world matrices

RenderFullscreenQuadInMono – render fullscreen quad in mono

RenderToRightInMono – for fixing artifacts when game start in mono and then switch to stereo

CreateOneComponentRTInMono – create R32F render target textures in mono, can fix shadows in some games

DontCreateRightTextureInWideMode – reduce amount of video memory needed for WideRenderTarget mode but decrease performance

SeparationMode – this will define game crosshair position

0 – camera shifted in both eyes

1 – camera shifted only in left eyes

2 – camera shifted only in right eyes

OblivionMonoMatrixCheck – special key for Oblivion

SearchFrameSizeY - vertical size of search area (make auto-convergence more stable, but slower)
m_ShiftSpeed – speed of auto-convergence

Key Multiplier - for all object inside set indicated multiplier

VertexShader

CRC - CRC32 of VS

Size – Size of VS

ZNear – z before that object all render in mono

Texture

CRC - CRC32 of Texture

Size – Size of Texture

Mesh

CRC - CRC32 of mesh

Size – Size of mesh

Key Mono – as Multiplier Value =”0.0”

Key Stereo – as Multiplier Value =”1.0”

Key Keys

ToggleStereo – key that toggle stereo

ZPSIncrease – increase convergence

ZPSDecrease – decrease convergence

StereoBaseIncrease – increase separation

StereoBaseDecrease – decrease separation

SetPreset1 – set current preset #1

SetPreset2 – set current preset #2

SetPreset3 – set current preset #3

SwapEyes – swap left/right eyes

ToggleAutoFocus – toggle autofocus

For example:

<?xml version="1.0" encoding="UTF-8" ?>

<Profiles Version="1">

...

<Profile Name="Half Life 2">

<File Name="hl2.exe" />

<SeparationMode Value="1" />

<Presets>...</Presets>

</Profile>

</Profiles>


Appendix 2

Marking Spec Structure (for S3D Shutter output)

Location: C:\Documents and settings\All users\Application data\iZ3D driver (default)

File name: MarkingSpec.xml

Key

NumberOfMarkedLines – number of on-screen lines

Possible values: from 1 to 2048 (there is no sense to set it higher than height of the screen)

Default value: 3

NumberOfMarks – number of marks in every line

Possible values: from 1 to any integral number

Default value: 16

InverseAxisYDirection - changes lines position on screen

Possible values: 0 (disable), 1 (enable)

Default value: 0

ScaleToFrame – toggles scale factor

Possible values: 0 (disable), 1 (enable)

Default value: 1

ScaleFactor – set width of line in % of width of the screen

Possible values: form 0.1 to 1.0

Default value: 0.9